How can I use MySQL 8.0 on Xenial Distribution, currently it says 5.7

#1

I am trying to upgrade MySQL to 8.0 from 5.7 on Xenial Distribution. I have no idea where to start. I referred the docs and didn’t find any documentation on how to do so.

Any idea?

#2

I was finally able to use MySQL 8.0, this is how I am currently using it. This works for now. But if someone has a better way let me know.

dist: xenial

sudo: true

language: php

services:
  - mysql

php:
  - "7.2"

before_script:
  - wget https://repo.mysql.com//mysql-apt-config_0.8.10-1_all.deb
  - sudo dpkg -i mysql-apt-config_0.8.10-1_all.deb
  - sudo apt-get update -q
  - sudo apt-get install -q -y --allow-unauthenticated -o Dpkg::Options::=--force-confnew mysql-server
  - sudo systemctl restart mysql
  - sudo mysql_upgrade
  - mysql --version  

script:
  - ./vendor/bin/phpunit
1 Like
#3

Nice,

was about to try to do the same.
Seems btw there is a new .deb file out: https://dev.mysql.com/downloads/repo/apt/

@BanzaiMan is this something that could go into doc?

#4

what is the meaning of this command sudo apt-get install -q -y --allow-unauthenticated -o Dpkg::Options::=--force-confnew mysql-server